package market.Slm.ContractManagement.vo;

import java.io.Serializable;
import java.util.Date;

import market.Slm.ContractManagement.mapper.SlmContractPaymentConfigureMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_CONTRACT_PAYMENT_CONFIGURE", namespace=SlmContractPaymentConfigureMapper.class)
public class SlmContractPaymentConfigure extends BaseVO implements Serializable {
	/**
	 * 付款节点配置表
	 */
	
	@Id
	//主键
	private String configure_no;
	
	@Column
	//方案编号
	private String plan_no;
	
	@Column
	//客户编号
	private String customer_no;
	
	@Column
	//客户名称
	private String customer_name;

	@Column
	//付款节点编号（0024）
	private String payment_point_no;

	@Column
	//付款节点名称
	private String payment_point_name;

	@Column
	//付款类型编号（0022）
	private String payment_ratio_type_no;

	@Column
	//付款类型名称
	private String payment_ratio_type_name;

	@Column
	//付款值
	private Double ratio_value;

	@Column
	//单位编号（0031）
	private String unit_no;

	@Column
	//单位名称
	private String unit_name;

	@Column
	//条款内容
	private String payment_content;

	@Column
	//状态 0无效 1有效
	private String valid_flag;

	@Column
	//创建人编号
	private String create_man_no;

	@Column
	//创建人姓名
	private String create_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;

	@Column
	//修改人编号
	private String update_man_no;

	@Column
	//修改人姓名
	private String update_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;

	@Column
	//操作人编号
	private String operation_man_no;
	
	@Column
	//操作人姓名
	private String operation_man_name;
	
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//操作时间
	private Date operation_time;

	public String getConfigure_no() {
		return configure_no;
	}

	public void setConfigure_no(String configure_no) {
		this.configure_no = configure_no;
	}

	public String getPlan_no() {
		return plan_no;
	}

	public void setPlan_no(String plan_no) {
		this.plan_no = plan_no;
	}

	public String getPayment_point_no() {
		return payment_point_no;
	}

	public void setPayment_point_no(String payment_point_no) {
		this.payment_point_no = payment_point_no;
	}

	public String getPayment_point_name() {
		return payment_point_name;
	}

	public void setPayment_point_name(String payment_point_name) {
		this.payment_point_name = payment_point_name;
	}

	public String getPayment_ratio_type_no() {
		return payment_ratio_type_no;
	}

	public void setPayment_ratio_type_no(String payment_ratio_type_no) {
		this.payment_ratio_type_no = payment_ratio_type_no;
	}

	public String getPayment_ratio_type_name() {
		return payment_ratio_type_name;
	}

	public void setPayment_ratio_type_name(String payment_ratio_type_name) {
		this.payment_ratio_type_name = payment_ratio_type_name;
	}

	public Double getRatio_value() {
		return ratio_value;
	}

	public void setRatio_value(Double ratio_value) {
		this.ratio_value = ratio_value;
	}

	public String getUnit_no() {
		return unit_no;
	}

	public void setUnit_no(String unit_no) {
		this.unit_no = unit_no;
	}

	public String getUnit_name() {
		return unit_name;
	}

	public void setUnit_name(String unit_name) {
		this.unit_name = unit_name;
	}

	public String getPayment_content() {
		return payment_content;
	}

	public void setPayment_content(String payment_content) {
		this.payment_content = payment_content;
	}

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String valid_flag) {
		this.valid_flag = valid_flag;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String create_man_no) {
		this.create_man_no = create_man_no;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String create_man_name) {
		this.create_man_name = create_man_name;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	public String getUpdate_man_no() {
		return update_man_no;
	}

	public void setUpdate_man_no(String update_man_no) {
		this.update_man_no = update_man_no;
	}

	public String getUpdate_man_name() {
		return update_man_name;
	}

	public void setUpdate_man_name(String update_man_name) {
		this.update_man_name = update_man_name;
	}

	public Date getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	public String getCustomer_no() {
		return customer_no;
	}

	public void setCustomer_no(String customer_no) {
		this.customer_no = customer_no;
	}

	public String getCustomer_name() {
		return customer_name;
	}

	public void setCustomer_name(String customer_name) {
		this.customer_name = customer_name;
	}
	
	public String getOperation_man_no() {
		return operation_man_no;
	}

	public void setOperation_man_no(String operation_man_no) {
		this.operation_man_no = operation_man_no;
	}

	public String getOperation_man_name() {
		return operation_man_name;
	}

	public void setOperation_man_name(String operation_man_name) {
		this.operation_man_name = operation_man_name;
	}

	public Date getOperation_time() {
		return operation_time;
	}

	public void setOperation_time(Date operation_time) {
		this.operation_time = operation_time;
	}
}
